using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("充值卡")]
    public partial class T_OP_RECHARGE_CARD : MesEntityBase
    {
        [CUnique]
        [Description("充值卡编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        [Description("持有人姓名")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string NAME { get; set; }

        [Description("充值卡余额")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public decimal BALANCE { get; set; }

        [Description("绑定RFID卡")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_CardRfid")]
        public Guid? RFID_ID { get; set; }


        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string REAMRK { get; set; }

        [Description("导航属性：RFID卡")]
        public virtual T_OP_RFID_CARD Nav_CardRfid { get; set; }

    }
}
